HanMacWrdKGraphInternal::TextBox Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
HanMacWrdKGraphInternal::TextBox Struct Reference

Internal: the textbox of a HanMacWrdKGraph. More...

Inheritance diagram for HanMacWrdKGraphInternal::TextBox:

## Public Member Functions
| TextBox (Frame const &orig, bool isComment)
| constructor More...
| ~TextBox ()
| destructor More...
bool | isLinked () const
| returns true if the box is linked to other textbox More...
void | addTo (MWAWGraphicStyle &style) const
| add property to frame extra values More...
std::string | print () const
| print local data More...
Public Member Functions inherited from HanMacWrdKGraphInternal::Frame
| Frame ()
| constructor More...
virtual | ~Frame ()
| destructor More...
MWAWBox2f | getBdBox () const
| return the frame bdbox More...

## Public Attributes
bool | m_commentBox
| a flag to know if this is a comment textbox More...
long | m_textFileId
| the text file id More...
float | m_dim [2]
| two auxilliary dim for memo textbox More...
std::vector< long > | m_linkedIdList
| the list of linked remaining textbox id More...
bool | m_isLinked
| a flag to know if this textbox is linked to a previous box More...
Public Attributes inherited from HanMacWrdKGraphInternal::Frame
int | m_type
| the graph type More...
long | m_fileId
| the file id More...
long | m_fileSubId
| the file sub id More...
int | m_id
| the local id More...
int | m_page
| the page More...
MWAWBox2f | m_pos
| the position More...
float | m_baseline
| the baseline More...
int | m_posFlags
| the graph anchor flags More...
MWAWGraphicStyle | m_style
| the style More...
int | m_borderType
| the border type More...
MWAWVec2f | m_borders [4]
| the border default size (before using width), 0 means Top, other unknown More...
bool | m_inGroup
| true if the frame is a child of a group More...
bool | m_parsed
| true if we have send the data More...
std::string | m_extra
| an extra string More...

## Friends
std::ostream & | operator<< (std::ostream &o, TextBox const &textbox)
| operator<< More...

## Detailed Description

Internal: the textbox of a HanMacWrdKGraph.

## Constructor & Destructor Documentation

## § TextBox()

HanMacWrdKGraphInternal::TextBox::TextBox | ( | Frame const & | orig,
|  | bool | isComment
| ) |  |
| inline

constructor

## § ~TextBox()

HanMacWrdKGraphInternal::TextBox::~TextBox | ( |  | ) |

destructor

## Member Function Documentation

## § addTo()

void HanMacWrdKGraphInternal::TextBox::addTo | ( | MWAWGraphicStyle & | style | ) | const
| inline

add property to frame extra values

Referenced by HanMacWrdKGraph::sendTextBox().

## § isLinked()

bool HanMacWrdKGraphInternal::TextBox::isLinked | ( |  | ) | const
| inline

returns true if the box is linked to other textbox

Referenced by HanMacWrdKGraph::canCreateGraphic(), HanMacWrdKGraph::sendFrame(), and HanMacWrdKGraph::sendGroupChild().

## § print()

std::string HanMacWrdKGraphInternal::TextBox::print | ( |  | ) | const
| inline

print local data

## Friends And Related Function Documentation

## § operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | TextBox const & | textbox
| ) |  |
| friend

operator<<

## Member Data Documentation

## § m_commentBox

bool HanMacWrdKGraphInternal::TextBox::m_commentBox

a flag to know if this is a comment textbox

## § m_dim

float HanMacWrdKGraphInternal::TextBox::m_dim[2]

two auxilliary dim for memo textbox

Referenced by HanMacWrdKGraph::sendTextBox().

## § m_isLinked

bool HanMacWrdKGraphInternal::TextBox::m_isLinked

a flag to know if this textbox is linked to a previous box

Referenced by HanMacWrdKGraph::prepareStructures(), and HanMacWrdKGraph::sendTextBox().

## § m_linkedIdList

std::vector<long> HanMacWrdKGraphInternal::TextBox::m_linkedIdList

the list of linked remaining textbox id

Referenced by HanMacWrdKGraph::prepareStructures().

## § m_textFileId

long HanMacWrdKGraphInternal::TextBox::m_textFileId

the text file id

Referenced by HanMacWrdKGraph::canCreateGraphic(), HanMacWrdKGraph::sendFrame(), HanMacWrdKGraph::sendGroup(), HanMacWrdKGraph::sendGroupChild(), and HanMacWrdKGraph::sendTextBox().

The documentation for this struct was generated from the following file:

- HanMacWrdKGraph.cxx